Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I have switched to 32 bit installers for Python Scrapy (After failing to install the 64 bit installers for scrapy to work). Followed the steps mentioned here.

This is the log when I run the easy_install on scrapy:

Searching for scrapy
Best match: scrapy 0.22.0
Processing scrapy-0.22.0-py2.7.egg
scrapy 0.22.0 is already the active version in easy-install.pth
Installing scrapy script to C:\Python27\Scripts
Installing scrapy.bat script to C:\Python27\Scripts

Using c:\python27\lib\site-packages\scrapy-0.22.0-py2.7.egg
Processing dependencies for scrapy
Searching for cryptography>=0.1
Reading http://pypi.python.org/simple/cryptography/
Best match: cryptography 0.1
Downloading https://pypi.python.org/packages/source/c/cryptography/cryptography-
0.1.tar.gz#md5=bdc1c5fe069deca7467b71a0cc538f17
Processing cryptography-0.1.tar.gz
Running cryptography-0.1\setup.py -q bdist_egg --dist-dir c:\users\faizan\appdat
a\local\temp\easy_install-myikuq\cryptography-0.1\egg-dist-tmp-vfydke
Searching for cffi>=0.6
Reading http://pypi.python.org/simple/cffi/
Best match: cffi 0.8.1
Downloading https://pypi.python.org/packages/source/c/cffi/cffi-0.8.1.tar.gz#md5
=1a877bf113bfe90fdefedbf9e39310d2
Processing cffi-0.8.1.tar.gz
Running cffi-0.8.1\setup.py -q bdist_egg --dist-dir c:\users\faizan\appdata\loca
l\temp\easy_install-myikuq\cryptography-0.1\temp\easy_install-zoguzs\cffi-0.8.1\
egg-dist-tmp-trop2u
_cffi_backend.c
c/_cffi_backend.c(5261) : warning C4146: unary minus operator applied to unsigne
d type, result still unsigned
c/_cffi_backend.c(5262) : warning C4146: unary minus operator applied to unsigne
d type, result still unsigned
c/_cffi_backend.c(5263) : warning C4146: unary minus operator applied to unsigne
d type, result still unsigned
c/_cffi_backend.c(5264) : warning C4146: unary minus operator applied to unsigne
d type, result still unsigned
ffi.c
c/libffi_msvc\ffi.c(122) : warning C4018: '>' : signed/unsigned mismatch
prep_cif.c
types.c
win32.c

Creating library build\temp.win32-2.7\Release\c\_cffi_backend.lib and object
build\temp.win32-2.7\Release\c\_cffi_backend.exp

Installed c:\users\faizan\appdata\local\temp\easy_install-myikuq\cryptography-0.
1\cffi-0.8.1-py2.7-win32.egg
Searching for pycparser
Reading http://pypi.python.org/simple/pycparser/
Best match: pycparser 2.10
Downloading https://pypi.python.org/packages/source/p/pycparser/pycparser-2.10.t
ar.gz#md5=d87aed98c8a9f386aa56d365fe4d515f
Processing pycparser-2.10.tar.gz
Running pycparser-2.10\setup.py -q bdist_egg --dist-dir c:\users\faizan\appdata\
local\temp\easy_install-myikuq\cryptography-0.1\temp\easy_install-ngu9w1\pycpars
er-2.10\egg-dist-tmp-2uhfme
zip_safe flag not set; analyzing archive contents...

Installed c:\users\faizan\appdata\local\temp\easy_install-myikuq\cryptography-0.
1\pycparser-2.10-py2.7.egg
_cffi__xcfd0a060xfba2f231.c
   Creating library c:\users\faizan\appdata\local\temp\easy_install-myikuq\crypt
ography-0.1\cryptography\hazmat\primitives\__pycache__\Release\cryptography\hazm
at\primitives\__pycache__\_cffi__xcfd0a060xfba2f231.lib and object c:\users\faiz
an\appdata\local\temp\easy_install-myikuq\cryptography-0.1\cryptography\hazmat\p
rimitives\__pycache__\Release\cryptography\hazmat\primitives\__pycache__\_cffi__
xcfd0a060xfba2f231.exp
_cffi__x5fea2bacx4a8b9ec1.c
cryptography\hazmat\primitives\__pycache__\_cffi__x5fea2bacx4a8b9ec1.c(218) : wa
rning C4244: '=' : conversion from 'unsigned __int64' to 'uint8_t', possible los
s of data
   Creating library c:\users\faizan\appdata\local\temp\easy_install-myikuq\crypt
ography-0.1\cryptography\hazmat\primitives\__pycache__\Release\cryptography\hazm
at\primitives\__pycache__\_cffi__x5fea2bacx4a8b9ec1.lib and object c:\users\faiz
an\appdata\local\temp\easy_install-myikuq\cryptography-0.1\cryptography\hazmat\p
rimitives\__pycache__\Release\cryptography\hazmat\primitives\__pycache__\_cffi__
x5fea2bacx4a8b9ec1.exp
_cffi__xd9dc3d0ax8cb54b0a.c
cryptography\hazmat\bindings\__pycache__\_cffi__xd9dc3d0ax8cb54b0a.c(165) : fata
l error C1083: Cannot open include file: 'openssl/asn1.h': No such file or direc
tory
error: c:\users\faizan\appdata\local\temp\easy_install-myikuq\cryptography-0.1\c
ffi-0.8.1-py2.7-win32.egg\_cffi_backend.pyd: Access is denied

I have tried every post answer or tutorial for that matter.. Any solutions to get over this? I am on a 64 bit windows machine

share|improve this question

2 Answers 2

I have exactly the same issue but on Windows XP.

To solve the openssl/asn1.h no such file issue check your LIB and INCLUDE system variables.

In Windows XP you can do this from the CMD prompt window with the following commands:

SET LIB

SET INCLUDE

They should include the lib and include folders of the OpenSSL directory. On my machine:

SET LIB C:\OpenSSL-win32\lib;etc;etc;etc

SET INCLUDE C:\OpenSSL-win32\include;etc;etc

You can add to the system variables like this:

SET LIB=C:\OPenSSL-win32\lib;%LIB%

This won't cure the access is denied issue I'm afraid.

share|improve this answer
    
I guess its too late for this.. This is what I tried: Switch to Ubuntu->Setup scrapy->save your time –  faizanjehangir Feb 26 at 7:42

If anyone comes across this thread at a later date:

I had incredible difficulties getting Scrapy to install with easy_install on Python 2.7. The cryptography module in particular was impossible to install.

I installed pip using the information found at http://stackoverflow.com/questions/4750806/how-to-install-pip-on-windows

Afterwards a simple pip install scrapy and I was in business.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.